<%--
  - Author(s)  : Kim Myung HO
  - Date       : 2014.07.07
  - Description: 계약 작성
  --%>

<%@page import="java.sql.Clob"%>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ page import="com.udapsoft.waf.system.HandlerStorage" %>
<%@ page import="com.udapsoft.waf.common.ui.*" %>
<%@ page import="com.udapsoft.waf.common.util.*" %>
<%@ page import="kr.co.hsnc.common.util.*"%>
<%@ page import="kr.co.hsnc.common.sql.*" %>
<%@ page import="kr.co.hsnc.common.config.WAFConfig" %>
<%@ include file="/jsp/work/taglib.jsp" %>
<%@ page import="kr.co.hsnc.common.util.Formatter"%>
<%@page import="java.net.URLEncoder"%>
<%@ page import="kr.co.udapsoft.ebid.buyer.common.file.FileManager"%>

<jsp:useBean id="ctx" class="com.udapsoft.waf.system.context.SessionContext" scope="session" />
<%
    ctx.init(request, response);
    HandlerStorage storage = ctx.getHandlerStorage();
    ValueObject params = storage.getParams();
    ValueObject user = storage.getUser();
   // RowSet CorpRowSet = storage.getRowSet("CorpRowSet");
    ValueObject ContInfo = storage.getValueObject("ContInfo");
   
    String RTN_REASON = "";
    boolean rtn = false;
    if(ContInfo.get("RTN_REASON").length() > 0){
    	RTN_REASON = ContInfo.get("RTN_REASON");
    	rtn = true;
    }

    /*계약서식 정보 */
    RowSet template = storage.getRowSet("template");

    /*계약서식 FILE */
	RowSet autofile_list = storage.getRowSet("AUTOFILE_LIST");    
    
    /*보증 정보 LIst */
	RowSet warrList = storage.getRowSet("warrList");   
    
    /*계약 구매 내역 목록*/
    RowSet itemList = storage.getRowSet("itemList");
    
    /*인지세 구분*/
    RowSet stampList = storage.getRowSet("stampRowSet");
    
	//변경계약내역서 추가 2019.08.06
	RowSet chgItemList = storage.getRowSet("chgItemList");    
%>
<LINK href="/css/cont/cont_style.css" rel="stylesheet" type="text/css">
<script language="javascript" src="/js/cont/cont_util.js"></script>
<script language="javascript" src="/js/cont/lib.validate.js"></script>
<SCRIPT language="JavaScript">
	/*예약함수*/
	var sheet1;
	var sheet1Row;
	var sheet1PageNo = 1;
	var pageLastRowIndex = 1;
	var validationResult = false;
	var filterShow = false;
	var payCallNum = 2;		//대금계획에서 화면 이동 정의

	function _onReady(){
		/* STAMP_DUTY, PROMISE_DOC 인클루드 페이지 기능 */
		gridInit2(sheet2);
		gridInit3(sheet3);
		gridInit4(sheet4);
		doSearchStamp();
		doSearchPromise();
		doSearchPricesys();
		
		if(!(jQuery("#STATUS_CD").val() == '20' || jQuery("#STATUS_CD").val() == '30' || jQuery("#STATUS_CD").val() == '50')){
			jQuery("#p_issue_gb").attr("disabled",false);
			jQuery("#p_promise_gb").attr("disabled",false);
			jQuery("#p_pricesys_gb").attr("disabled",false);
			
			if(jQuery("#p_issue_gb").val()=="00"||jQuery("#p_issue_gb").val()==""){
				jQuery("#btnAdd").hide();
				//jQuery("#btnSaveStamp").hide();	
			}else{
				jQuery("#btnAdd").show();
				//jQuery("#btnSaveStamp").show();	
			}
			
			if(jQuery("#p_promise_gb").val()=="00"||jQuery("#p_promise_gb").val()==""){
				jQuery("#btnPromiseAdd").hide();
				//jQuery("#btnSavePromise").hide();	
			}else{
				jQuery("#btnPromiseAdd").show();
				//jQuery("#btnSavePromise").show();	
			}
		}else{
			jQuery("#p_issue_gb").attr("disabled",true);
			jQuery("#p_promise_gb").attr("disabled",true);
			jQuery("#p_pricesys_gb").attr("disabled",true);
			
			if(jQuery("#p_issue_gb").val()=="00"||jQuery("#p_issue_gb").val()==""||jQuery("#STATUS_CD").val() == '50'){
				jQuery("#btnAdd").hide();
				//jQuery("#btnSaveStamp").hide();	
			}else{
				jQuery("#btnAdd").show();
				//jQuery("#btnSaveStamp").show();	
			}
			
			if(jQuery("#p_promise_gb").val()=="00"||jQuery("#p_promise_gb").val()==""||jQuery("#STATUS_CD").val() == '50'){
				jQuery("#btnPromiseAdd").hide();
				//jQuery("#btnSavePromise").hide();	
			}else{
				jQuery("#btnPromiseAdd").show();
				//jQuery("#btnSavePromise").show();	
			}
		}
		
		jQuery("#btnAdd").click(function() {
			var rowIdx = sheet2.DataInsert(-1);
			if(jQuery("#p_issue_gb").val()=="10"){
				sheet2.SetCellValue(rowIdx, "STAMP_DUTY_ISSUE_GB", "10");
			}else{
				sheet2.SetCellValue(rowIdx, "STAMP_DUTY_ISSUE_GB", "20");
			}
		});
		
		jQuery("#btnPromiseAdd").click(function() {
			var rowIdx = sheet3.DataInsert(-1);
			if(jQuery("#p_promise_gb").val()=="10"){
				sheet3.SetCellValue(rowIdx, "PROMISE_DOC_TYPE_GB", "10");
			}else{
				sheet3.SetCellValue(rowIdx, "PROMISE_DOC_TYPE_GB", "20");
			}
		});
		
		jQuery("#btnSaveStamp").click(function() {
			
			if(jQuery('#p_issue_gb').val() == '00' && sheet2.GetTotalRows() != 0 ){
				for(i=1; i <= sheet2.RowCount(); i++){
					if(sheet2.GetCellValue(i, "STATUS")!="D"){
						alert("인지세 발급 구분을 미발행으로 등록하려면\n인지세가 등록되어있거나 등록해서는 안됩니다.\n인지세를 삭제하여 주십시오.");
						return;
					}
				}
			}
			
			if (confirm("저장하시겠습니까?")) {
				var f = document.form1;
				jQuery("#fevent").val("STAMP_DUTY_GB_SAVE");
				submitXmlRequest("/cont/purchase/ContDetail_form.screen", "STAMP_DUTY_GB_SAVE", f);
			}
			
		}); 
		
		jQuery("#btnSavePromise").click(function() {
			
			if(jQuery('#p_promise_gb').val() == '00' && sheet3.GetTotalRows() != 0 ){
				for(i=1; i <= sheet3.RowCount(); i++){
					if(sheet3.GetCellValue(i, "STATUS")!="D"){
						alert("서약서를 미발행으로 등록하려면\n서약서가 등록되어있거나 등록해서는 안됩니다.\n서약서를 삭제하여 주십시오.");
						return;
					}
				}
			}
			
			if (confirm("저장하시겠습니까?")) {
				doSavePromise();
			}
			
		}); 
		/**
		 *	Application Initialize
		 */
		 

		jQuery("#ELEC_CON_YN1").click(function() {
			jQuery("#ELEC_CON_YN1").attr("checked",true);
			jQuery("#ELEC_CON_YN2").attr("checked",false);
		});
		jQuery("#ELEC_CON_YN2").click(function() {
			jQuery("#ELEC_CON_YN1").attr("checked",false);
			jQuery("#ELEC_CON_YN2").attr("checked",true);
		});
		
		jQuery("#btnSave").click(function() {			 
			if(jQuery('#p_issue_gb').val() == '00' && sheet2.GetTotalRows() != 0 ){
				for(i=1; i <= sheet2.RowCount(); i++){
					if(sheet2.GetCellValue(i, "STATUS")!="D"){
						alert("인지세 발급 구분을 미발행으로 등록하려면\n인지세가 등록되어있거나 등록해서는 안됩니다.\n인지세를 삭제하여 주십시오.");
						return;
					}
				}
			}
			VatTextChange();
			if(!saveCheckValue()){
				return;
			}
			if (confirm("저장 하시겠습니까?")){
				var f = document.form1;
				submitXmlRequest("/cont/purchase/ContDetail_form.screen", "PARTNER_EMP_CHK", f, "VALUEOBJECT");
				document.form1.isSubmit = false;
				
				/* var f = document.form1;
				jQuery("#fevent").val("FORM_SAVE");
				submitXmlRequest("/cont/purchase/ContDetail_form.screen", "FORM_SAVE", f); */
			}
			
		});
		
		jQuery("#btnMove").click(function() {			
			if (confirm("계약대상이동 하시겠습니까?")){
				var f = document.form1;
				jQuery("#fevent").val("FORM_MOVE");
				submitXmlRequest("/cont/purchase/ContDetail_form.screen", "FORM_MOVE", f);
			}
		});

		jQuery("#btnDeciSave").click(function() {
			
			if(jQuery('#p_issue_gb').val() == '00' && sheet2.GetTotalRows() != 0 ){
				for(i=1; i <= sheet2.RowCount(); i++){
					if(sheet2.GetCellValue(i, "STATUS")!="D"){
						alert("인지세 발급 구분을 미발행으로 결재를 진행하려면 하려면\n인지세가 등록되어있거나 등록해서는 안됩니다.\n인지세를 삭제하고 진행해 주십시오.");
						return;
					}
				}
			}
			
			var f = document.form1;
			if(!saveCheckValue()){
				return;
			}
			/* if(!stampDutyCheck()){
				return;
			} */
			
			stampMsg = '계약정보 저장 후 결재화면이 활성화 됩니다.\n\n결재요청 요청하시겠습니까?';
			
			if (confirm(stampMsg)){
				var f = document.form1;
				jQuery("#fevent").val("FORM_DECI_SAVE");
				submitXmlRequest("/cont/purchase/ContDetail_form.screen", "FORM_DECI_SAVE", f);
			}
		});
		
		//시행 결의
		jQuery("#btnResolve").click(function() {	
			
			if(jQuery('#p_issue_gb').val() == '00' && sheet2.GetTotalRows() != 0 ){
				for(i=1; i <= sheet2.RowCount(); i++){
					if(sheet2.GetCellValue(i, "STATUS")!="D"){
						alert("인지세 발급 구분을 미발행으로 시행결의를 진행하려면 하려면\n인지세가 등록되어있거나 등록해서는 안됩니다.\n인지세를 삭제하고 진행해 주십시오.");
						return;
					}
				}
			}
			
			
			if(!saveCheckValue()){
				return;
			}
			/* if(!stampDutyCheck()){
				return;
			} */
			var stampMsg = '';
			
			stampMsg = '계약정보 저장 후 결재화면이 활성화 됩니다.\n\n결재요청 요청하시겠습니까?';
			
			if (confirm(stampMsg)){
				var f = document.form1;
				jQuery("#fevent").val("FORM_RESOLVE_SAVE");
				submitXmlRequest("/cont/purchase/ContDetail_form.screen", "FORM_RESOLVE_SAVE", f);
			}
		});				
		
		jQuery("#btnSavePayItem").click(function() {
			//분개유형 DEFAULT(-선택-)일 경우 팝업 출력(2020.12.28)
			if(jQuery("#acct_gb").val() == "0"){		
				alert("분개유형을 선택해 주시기 바랍니다.");				
				return;
			}else if(confirm("분개유형을 저장 하시겠습니까?")){
				var f = document.form1;
				jQuery("#fevent").val("SAVE_PAYITEM");
				submitXmlRequest("/cont/purchase/ContResult_form.screen", "SAVE_PAYITEM", f);
			}
		});
		jQuery("#btnPaySave").click(function() {
			//대금 계획 체크2016.4.26 원계약일때만 계획체크 . (payplan.jsp에 포함된 버튼이므로 클릭할일 없음.)			
			if(!paySaveChk()){
				return;
			}				
			if (confirm("대금계획을 저장 하시겠습니까?")){
				payPlanSave();	//대금 계획 저장
			}
		});

		jQuery("#btnSignCall").click(function() {
			if(jQuery("#ELEC_CON_YN2").attr("checked") == "checked"){
					alert("오프라인 계약이라서 서명 요청을 할 수 없습니다.");
					return;
			}else{
				/* if(!stampDutyRowCheck()){
					return;
				}
				if(!stampDutyCheck()){
					return;
				} */
				if (confirm("업체 서명 요청 하시겠습니까?")){
					var f = document.form1;
					jQuery("#fevent").val("SIGN_CALL");
					submitXmlRequest("/cont/purchase/ContDetail_form.screen", "SIGN_CALL", f);
				}
			}
			
		});
		jQuery("#btnReSignCall").click(function() {
			if (confirm("서명을 취소하게 되면 업체에서 다시 서명을 진행 해야 합니다.\n\n서명을 취소 하시겠습니까?")){
				var f = document.form1;
				jQuery("#fevent").val("SIGN_CALL");
				submitXmlRequest("/cont/purchase/ContDetail_form.screen", "SIGN_CALL", f);
			}
		});		
		jQuery("#btnSignOk").click(function() {
			
			var stampMsg = '서명  하시겠습니까?';
			
			if(jQuery('#p_issue_gb').val() == '00' && sheet2.GetTotalRows() != 0 ){
				alert("인지세 발급 구분이 미발행일시 등록 된 인지세가 없어야 합니다. 삭제하여 주십시오.");
				return;
			}else{
				
				if(!stampDutyRowCheck()){
					return;
				} 
				
				if(!stampDutyCheck()){
					return;
				} 
				
				if(!promiseRowCheck()){
					return;
				}
				
				if(!promiseCheck()){
					return;
				}
				
				var chgCont = jQuery("#ChgCont").val();
				
				if(chgCont != "Y"){
				
					if(jQuery('#p_issue_gb').val() != '00' && sheet2.GetTotalRows() == 0 ){
						alert("등록 된 인지세가 없습니다.");
						return;
					}else if(jQuery('#p_issue_gb').val() != '00' && sheet2.GetTotalRows() != 0 ){
						var ordAmt = parseFloat_isNaN(jQuery('#ord_amt').val().replace(/,/gi,""));
						var stampDutyTax = sheet2.GetCellValue(sheet2.LastRow(), "STAMP_DUTY_TAX");
						
						
							if( ordAmt <= 10000000 ){
								if( stampDutyTax != 0 ) {
									stampMsg = '계약금액에 따른 인지세가 틀립니다.\n\n1천만원 이하 : 0원\n\n서명  하시겠습니까?';
								}
							}else if( ordAmt > 10000000 && ordAmt <= 30000000 ) {
								if( stampDutyTax != 20000 ) {
									stampMsg = '계약금액에 따른 인지세가 틀립니다.\n\n1천만원 초과 ~ 3천만원이하 : 2만원\n\n서명  하시겠습니까?';
								}
							}else if( ordAmt > 30000000 && ordAmt <= 50000000 ) {
								if( stampDutyTax != 40000 ) {
									stampMsg = '계약금액에 따른 인지세가 틀립니다.\n\n3천만원 초과 ~ 5천만원이하 : 4만원\n\n서명  하시겠습니까?';
								}
							}else if( ordAmt > 50000000 && ordAmt <= 100000000 ) {
								if( stampDutyTax != 70000 ) {
									stampMsg = '계약금액에 따른 인지세가 틀립니다.\n\n5천만원 초과 ~ 1억원이하 : 7만원\n\n서명  하시겠습니까?';
								}
							}else if( ordAmt > 100000000 && ordAmt <= 1000000000 ) {
								if( stampDutyTax != 150000 ) {
									stampMsg = '계약금액에 따른 인지세가 틀립니다.\n\n1억원 초과 ~ 10억원이하 : 15만원\n\n서명  하시겠습니까?';
								}
							}else if( ordAmt > 1000000000 ) {
								if( stampDutyTax != 350000 ) {
									stampMsg = '계약금액에 따른 인지세가 틀립니다.\n\n10억원 초과 : 35만원\n\n서명  하시겠습니까?';
								}
							}
					}
				
				}else{
					//if ( jQuery('#DIV_PO_YN').val() != 'Y') {//2016.7.21 단가계약 변경 
					if ( jQuery('#TEMPLATE_CD').val() != '13') {//2018.05.28 단가계약 아닌데 발주의뢰 변경하는 경우    
					    var befOrdAmt = parseFloat_isNaN(jQuery("#o_ord_amt").val().replace(/,/gi,""));
					    var ordAmt = parseFloat_isNaN(jQuery('#ord_amt').val().replace(/,/gi,""));
					    var stampDutyTax = sheet2.GetCellValue(sheet2.LastRow(), "STAMP_DUTY_TAX");
					    var befDutyTax = 0 ;
					    var dutyTax = 0;
					    var remainTax = 0;
					    if( befOrdAmt <= 10000000 ){
							befDutyTax = 0;
						}else if( befOrdAmt > 10000000 && befOrdAmt <= 30000000 ) {
						    befDutyTax = 20000;
						}else if( befOrdAmt > 30000000 && befOrdAmt <= 50000000 ) {
						    befDutyTax = 40000;
						}else if( befOrdAmt > 50000000 && befOrdAmt <= 100000000 ) {
						    befDutyTax = 70000;
						}else if( befOrdAmt > 100000000 && befOrdAmt <= 1000000000 ) {
						    befDutyTax = 150000;
						}else if( befOrdAmt > 1000000000 ) {
						    befDutyTax = 350000;
						}

					    if( ordAmt <= 10000000 ){
							dutyTax = 0;
						}else if( ordAmt > 10000000 && ordAmt <= 30000000 ) {
						    dutyTax = 20000;
						}else if( ordAmt > 30000000 && ordAmt <= 50000000 ) {
						    dutyTax = 40000;
						}else if( ordAmt > 50000000 && ordAmt <= 100000000 ) {
						    dutyTax = 70000;
						}else if( ordAmt > 100000000 && ordAmt <= 1000000000 ) {
						    dutyTax = 150000;
						}else if( ordAmt > 1000000000 ) {
						    dutyTax = 350000;
						}
					    remainTax = dutyTax - befDutyTax;
						
					    if(remainTax > 0){
					 		if( remainTax != stampDutyTax ){
								stampMsg = '변경계약금액에 따른 인지세가 틀립니다.\n\n'+num2han2(remainTax)+'원\n\n서명  하시겠습니까?';
							}
					    }
					}
					}
					
				}
			
			if (confirm(stampMsg)){
				var f = document.form1;
				jQuery("#fevent").val("SIGN_OK");
				submitXmlRequest("/cont/purchase/ContDetail_form.screen", "SIGN_OK", f);		
			}
		});	
		
		jQuery("#btnComplete").click(function() {
			
			var stampMsg = '계약을 완료  하시겠습니까?';
			if(jQuery('#p_issue_gb').val() == '00' && sheet2.GetTotalRows() != 0 ){
				alert("인지세 발급 구분이 미발행일시 등록 된 인지세가 없어야 합니다. 삭제하여 주십시오.");
				return;
			}else{
				
				if(!stampDutyRowCheck()){
					return;
				} 
				
				if(!stampDutyCheck()){
					return;
				} 
				
				if(!promiseRowCheck()){
					return;
				}
				
				if(!promiseCheck()){
					return;
				}
				
				var chgCont = jQuery("#ChgCont").val();
				if(chgCont != "Y"){
				
				
					if(jQuery('#p_issue_gb').val() != '00' && sheet2.GetTotalRows() == 0 ){
						alert("등록 된 인지세가 없습니다.");
						return;
					}else if(jQuery('#p_issue_gb').val() != '00' && sheet2.GetTotalRows() != 0 ){
						var ordAmt = parseFloat_isNaN(jQuery('#ord_amt').val().replace(/,/gi,""));
						var stampDutyTax = sheet2.GetCellValue(sheet2.LastRow(), "STAMP_DUTY_TAX");
						
						
							if( ordAmt <= 10000000 ){
								if( stampDutyTax != 0 ) {
									stampMsg = '계약금액에 따른 인지세가 틀립니다.\n\n1천만원 이하 : 0원\n\n계약을 완료  하시겠습니까?';
								}
							}else if( ordAmt > 10000000 && ordAmt <= 30000000 ) {
								if( stampDutyTax != 20000 ) {
									stampMsg = '계약금액에 따른 인지세가 틀립니다.\n\n1천만원 초과 ~ 3천만원이하 : 2만원\n\n계약을 완료  하시겠습니까?';
								}
							}else if( ordAmt > 30000000 && ordAmt <= 50000000 ) {
								if( stampDutyTax != 40000 ) {
									stampMsg = '계약금액에 따른 인지세가 틀립니다.\n\n3천만원 초과 ~ 5천만원이하 : 4만원\n\n계약을 완료  하시겠습니까?';
								}
							}else if( ordAmt > 50000000 && ordAmt <= 100000000 ) {
								if( stampDutyTax != 70000 ) {
									stampMsg = '계약금액에 따른 인지세가 틀립니다.\n\n5천만원 초과 ~ 1억원이하 : 7만원\n\n계약을 완료  하시겠습니까?';
								}
							}else if( ordAmt > 100000000 && ordAmt <= 1000000000 ) {
								if( stampDutyTax != 150000 ) {
									stampMsg = '계약금액에 따른 인지세가 틀립니다.\n\n1억원 초과 ~ 10억원이하 : 15만원\n\n계약을 완료  하시겠습니까?';
								}
							}else if( ordAmt > 1000000000 ) {
								if( stampDutyTax != 350000 ) {
									stampMsg = '계약금액에 따른 인지세가 틀립니다.\n\n10억원 초과 : 35만원\n\n계약을 완료  하시겠습니까?';
								}
							}
					}
					
				}else{
					//if ( jQuery('#DIV_PO_YN').val() != 'Y') {//2016.7.21 단가계약 변경 
					if ( jQuery('#TEMPLATE_CD').val() != '13') {//2018.05.28 단가계약 아닌데 발주의뢰 변경하는 경우    
				    var befOrdAmt = parseFloat_isNaN(jQuery("#o_ord_amt").val().replace(/,/gi,""));
				    var ordAmt = parseFloat_isNaN(jQuery('#ord_amt').val().replace(/,/gi,""));
				    var stampDutyTax = sheet2.GetCellValue(sheet2.LastRow(), "STAMP_DUTY_TAX");
				    var befDutyTax = 0 ;
				    var dutyTax = 0;
				    var remainTax = 0;
				    if( befOrdAmt <= 10000000 ){
						befDutyTax = 0;
					}else if( befOrdAmt > 10000000 && befOrdAmt <= 30000000 ) {
					    befDutyTax = 20000;
					}else if( befOrdAmt > 30000000 && befOrdAmt <= 50000000 ) {
					    befDutyTax = 40000;
					}else if( befOrdAmt > 50000000 && befOrdAmt <= 100000000 ) {
					    befDutyTax = 70000;
					}else if( befOrdAmt > 100000000 && befOrdAmt <= 1000000000 ) {
					    befDutyTax = 150000;
					}else if( befOrdAmt > 1000000000 ) {
					    befDutyTax = 350000;
					}

				    if( ordAmt <= 10000000 ){
						dutyTax = 0;
					}else if( ordAmt > 10000000 && ordAmt <= 30000000 ) {
					    dutyTax = 20000;
					}else if( ordAmt > 30000000 && ordAmt <= 50000000 ) {
					    dutyTax = 40000;
					}else if( ordAmt > 50000000 && ordAmt <= 100000000 ) {
					    dutyTax = 70000;
					}else if( ordAmt > 100000000 && ordAmt <= 1000000000 ) {
					    dutyTax = 150000;
					}else if( ordAmt > 1000000000 ) {
					    dutyTax = 350000;
					}
				    remainTax = dutyTax - befDutyTax;
					
				    if(remainTax > 0){
				 		if( remainTax != stampDutyTax ){
							stampMsg = '변경계약금액에 따른 인지세가 틀립니다.\n\n'+num2han2(remainTax)+'원\n\n계약을 완료  하시겠습니까?';
						}
				    }
					}
				}
			}
			
			if (confirm(stampMsg)){
				var f = document.form1;
				jQuery("#fevent").val("END_CONT");
				submitXmlRequest("/cont/purchase/ContDetail_form.screen", "END_CONT", f);		
			}
		});	
		
		jQuery("#btnReject").click(function() {			
			if (confirm("보증 정보에 대해서 반려 요청 하시겠습니까?")){
				var win_id = "editcall_pop";			
				var link = "/cont/purchase/RejectReasonPopup.screen";
				link += "?pop_win_id="+win_id+"&PUR_CONT_MOD_ID="+$("#PUR_CONT_MOD_ID").val();
				fLayerPop(win_id, link, 600,180, '','', 'NO');
			}
		});		
		
		//변경계약일경우 내역 팝업
		jQuery("#btnChgItem").click(function() {			
			var win_id = "chgItemPop";			
			var editYN = "N";
			if(document.getElementById("STATUS_CD").value=="10"){editYN="Y";}
			var link = "/cont/purchase/chgItemPopup.screen";
			link += "?pop_win_id="+win_id+"&PUR_CONT_MOD_ID="+$("#PUR_CONT_MOD_ID").val()+"&PUR_CONT_ID="+$("#PUR_CONT_ID").val()+"&pDemID="+$("#pDemID").val()+"&editYN="+ editYN;
			fLayerPop(win_id, link, 950,500, '','', 'NO');
		});		
		//계약 내역 팝업
		jQuery("#btnItem").click(function() {			
			var win_id = "ItemPop";			
			var editYN = "N";
			if(document.getElementById("STATUS_CD").value=="10"){editYN="Y";}
			var link = "/cont/purchase/ItemPopup.screen";
			link += "?pop_win_id="+win_id+"&PUR_CONT_MOD_ID="+$("#PUR_CONT_MOD_ID").val()+"&PUR_CONT_ID="+$("#PUR_CONT_ID").val()+"&TEMPLATE_CD="+$("#TEMPLATE_CD").val()+"&DIV_PO_YN="+$("#DIV_PO_YN").val()+"&digit="+$("#sosuNum").val()+"&curr_std_nm="+encodeURI(encodeURIComponent($("#CURR_STD_NM").val()),"UTF-8")+"&editYN="+ editYN;
			fLayerPop(win_id, link, 950,500, '','', 'NO');
		});		

		//변경계약 삭제
		jQuery("#btnDel").click(function() {			
			if (confirm("변경계약을  삭제 하시겠습니까?")){
				var f = document.form1;
				jQuery("#fevent").val("FORM_DEL");
				submitXmlRequest("/cont/purchase/ContDetail_form.screen", "FORM_DEL", f);
			}
		});	
	} 
	
	function stampDutyCheck(){
		
		for(i=1; i <= sheet2.RowCount(); i++){
			if(sheet2.GetCellValue(i, "STATUS")!="D"){
				if(sheet2.GetCellValue(i, "STAMP_DUTY_NO")==""){
					alert("인지세 "+i+"행의 고유식별번호가 없습니다.");
					return false;
				}
				if(sheet2.GetCellValue(i, "STAMP_DUTY_TAX")=="" || sheet2.GetCellValue(i, "STAMP_DUTY_TAX")<=0){
					alert("인지세 "+i+"행의 인지세가 없거나 인지세가 0보다 작거나 같습니다.\n인지세는 0보다 커야합니다.");
					return false;
				}
				if(sheet2.GetCellValue(i, "STAMP_DUTY_DATE")==""){
					alert("인지세 "+i+"행의 발행일자가 없습니다.");
					return false;
				}
				if(sheet2.GetCellValue(i, "FILE_ID")==""){
					alert("인지세 "+i+"행의 인지세사본이 없습니다.");
					return false;
				}
			}
		}
		return true;
	} 
	
	function promiseCheck(){
		
		for(i=1; i <= sheet3.RowCount(); i++){
			if(sheet3.GetCellValue(i, "STATUS")!="D"){
				if(sheet3.GetCellValue(i, "FILE_ID")==""){
					alert("서약서 "+i+"행의 서약서 사본이 없습니다.");
					return false;
				}
			}
		}
		return true;
	}
	
	//일반 결재 
	function doDeci(){
			document.form1.isSubmit = false;
			var f = document.form1;
			var sign_cont_mod_id = $("#PUR_CONT_MOD_ID").val();
			dlgSignDeciForm('ebid_ppcD', '/cont/purchase/ContDeciSign.screen?sign_cont_mod_id='+sign_cont_mod_id+'^acct_id='+"<%=user.get("ACCT_ID")%>");
	}
	//시행결의 결재 2016.03.09 계약대상에서 시행결의 완료. 구매계약. 
	function doResolve(){
			document.form1.isSubmit = false;
			var f = document.form1;
			var sign_cont_mod_id = $("#PUR_CONT_MOD_ID").val();
			<%-- dlgSignForm('ebid_pcpoD', '/cont/purchase/contSign.screen?sign_cont_mod_id='+sign_cont_mod_id+'^acct_id='+"<%=user.get("ACCT_ID")%>"); --%>
			dlgSignDeciForm('ebid_ppcD', '/cont/purchase/ContDeciSign.screen?sign_cont_mod_id='+sign_cont_mod_id+'^acct_id='+"<%=user.get("ACCT_ID")%>");
	}
	//저장후 결재 체크를 해야 되기 때문에 저장전 앞단 처리를 함수로 만듬
	function saveCheckValue(){
		if(ck()){
			alert("[전자 계약 여부]는 필수 입니다.");
			return false;
		}
		if(!valCheck()){
			return false;
		}
		if(!chkContHtml()){
			return false;
		}
		
		//변경계약일경우 체크 
		if(!jQuery("#pDemID").val()==""){
			var chg_ord_spply_amt = form1.ord_supply_amt.value.replaceAll(",","")-0;
			var item_amt_sum = Number(form1.ITEM_AMT_SUM.value);
			item_amt_sum = item_amt_sum.toFixed(Number(form1.sosuNum.value));  //2018.10.31 내역과 계약갑지 소수점 처리   
			if(parseFloat_isNaN(item_amt_sum) != parseFloat_isNaN(chg_ord_spply_amt)){
				alert("변경 내역의 총 합과 변경 계약 금액과 다릅니다.\n\n변경내역 팝업을 띄워서 총 합을 확인해 주시기 바랍니다.");
				form1.ord_supply_amt.focus;
				return false;;
			}
		}
		
		//분개유형 DEFAULT(-선택-)일 경우 팝업 출력(2020.12.28)
		if(jQuery("#acct_gb").val() == "0"){		
			alert("분개유형을 선택해 주시기 바랍니다.");				
			return;
		}
		
		<%if((params.get("TEMPLATE_CD").equals("4")) || (params.get("TEMPLATE_CD").equals("9")) || (params.get("TEMPLATE_CD").equals("13"))){%>
		//영세 세금계산서일 경우 부가세에 금액이 있다면 팝업 출력(변경예정)
		if(jQuery("#gua_gb").val() == "23"){		
			if(form1.ord_surtax_amt.value != "0"){
				if(!confirm("영세(세금계산서)이나 부가세가 등록되어 있습니다.\n\n그래도 진행하시겠습니까?")){				
					form1.ord_surtax_amt.focus;
					return;
				}
			}
		}
		<%}%>
	
		<%if((!params.get("TEMPLATE_CD").equals("6"))&& (!params.get("TEMPLATE_CD").equals("10"))){
			if(params.get("TEMPLATE_CD").equals("3")){%>
				if(form1.con_guar_amt_rate.value== "" && form1.amtRate1.checked==true){  //2021.07.29 
					alert("계약이행 보증율을 입력해 주세요.");
					form1.con_guar_amt_rate.focus;
					return;
				}
				if(form1.def_guar_amt_rate.value== "" && form1.amtRate2.checked==true ){ 
					alert("하자이행 보증율을 입력해 주세요.");
					form1.def_guar_amt_rate.focus;
					return;
				}
			<%}else{%>
				if(form1.con_guar_amt_rate.value== "" ){  
					alert("계약이행 보증율을 입력해 주세요.");
					form1.con_guar_amt_rate.focus;
					return;
				}
				if(form1.def_guar_amt_rate.value== ""  ){ 
					alert("하자이행 보증율을 입력해 주세요.");
					form1.def_guar_amt_rate.focus;
					return;
				}
			<%}%>
		
		//공급가 기준(KRW : 10,000,000이상, USD : 10,000이상일 경우 계약이행,하자보수 보증증권 시행)		2021.02.02 최훈석	
		if(form1.con_guar_amt_rate.value == "0" ||	form1.def_guar_amt_rate.value == "0"){
			var guar_nm = "";
			if(form1.con_guar_amt_rate.value == "0" && form1.def_guar_amt_rate.value == "0"){
				guar_nm = "(계약, 하자)";
			}else if(form1.con_guar_amt_rate.value == "0"){
				guar_nm = "(계약)";
			}else if(form1.def_guar_amt_rate.value == "0"){
				guar_nm = "(하자)";
			}
			
			if(jQuery("#CURRENCY_GB").val() == "KRW"){		
				if(form1.ord_supply_amt.value.replaceAll(",","") >= 10000000){
					if(!confirm("계약금 1,000만원 이상이나 보증율"+guar_nm+"이\n등록되지 않았습니다.\n\n그래도 진행하시겠습니까? ")){
						return;
					}
				}
			}else if(jQuery("#CURRENCY_GB").val() == "USD"){
				if(form1.ord_supply_amt.value.replaceAll(",","") >= 10000){
					if(!confirm("계약금 10,000달러 이상이나 보증율"+guar_nm+"이\n등록되지 않았습니다.\n\n그래도 진행하시겠습니까?")){						
						return;
					}
				}
			}	
		}
		<%}%>
		
		//대금 계획 체크2016.4.26 원계약일때만 계획체크 
		<%if(ContInfo.get("PAY_DIV").equals("2") && ContInfo.getInt("MOD_NO") <= 0){%>	//PAY_DIV 가 2인 설치일때만 대금계획을 저장한다.
		if(!paySaveChk()){
			return false;
		}			
		<%}%>	
		return true;
	}

	function ck(){
		if($("#ELEC_CON_YN1").attr("checked") == "checked"){
			return false;	
		}
		if($("#ELEC_CON_YN2").attr("checked") == "checked"){
			return false;
		}
		return true;
	}
	
	//저장시 데이터 체크
	function valCheck(){
		if(jQuery("#mod_gb").val() == ""){
			alert("변경내역을 선택해 주세요");
			return false;
		}	
		//변경계약일경우 체크 프로세스 태운다. 2014-11-14 김명호 추가
		if(jQuery("#mod_gb").val() != "00"){
			if(!changeValCheck()){
				return;
			}						
		}			
		
		if(!checkTelno(jQuery("#O_TEL_NUM").val())) {
			alert("전화번호가 올바르지 않은 형식입니다");
			jQuery("#O_TEL_NUM").focus();
			return false;
		}    			
		if(!checkTelno(jQuery("#O_HP").val())) {
			alert("휴대폰번호가 올바르지 않은 형식입니다");
			jQuery("#O_HP").focus();
			return false;
		}  			
		if(!checkTelno(jQuery("#C_TEL_NUM").val())) {
			alert("전화번호가 올바르지 않은 형식입니다");
			jQuery("#C_TEL_NUM").focus();
			return false;
		}    			
		if(!checkTelno(jQuery("#C_HP").val())) {
			alert("휴대폰번호가 올바르지 않은 형식입니다");
			jQuery("#C_HP").focus();
			return false;
		}  				
		if(!checkEmail(jQuery("#O_EMAIL").val())){
			alert("이메일 형식이 올바르지 않습니다.");
			jQuery("#O_EMAIL").focus();
			return false;
		}
		if(!checkEmail(jQuery("#C_EMAIL").val())){
			alert("이메일 형식이 올바르지 않습니다.");
			jQuery("#C_EMAIL").focus();
			return false;
		}
		
		/* for(i=1; i <= sheet2.RowCount(); i++){
			if(sheet2.GetCellValue(i, "STATUS")!="D"){
				if(sheet2.GetCellValue(i, "STAMP_DUTY_NO")==""){
					alert(i+"행의 고유식별번호가 없습니다.");
					return false;
				}
				if(sheet2.GetCellValue(i, "STAMP_DUTY_TAX")=="" || sheet2.GetCellValue(i, "STAMP_DUTY_TAX")<=0){
					alert(i+"행의 인지세가 없거나 인지세가 0보다 작거나 같습니다.\n인지세는 0보다 커야합니다.");
					return false;
				}
				if(sheet2.GetCellValue(i, "STAMP_DUTY_DATE")==""){
					alert(i+"행의 발행일자가 없습니다.");
					return false;
				}
				if(jQuery("#STATUS_CD").val() == '40'){
					if(sheet2.GetCellValue(i, "FILE_ID")==""){
						alert(i+"행의 인지세사본이 없습니다.");
						return false;
					}
				}
			}	
		} */
		
		//변경계약일경우 체크  - 처음은 변경 내역만 비교 했지만 나중(2014-11-24 상품 내역도 수정이 추가 되어 합계 비료를 하게 되었음.)
		//if(!jQuery("#pDemID").val()==""){
			
			var chg_ord_spply_amt = Number(form1.ord_supply_amt.value.replace(/,/gi,"")*1);
			var item_amt_sum = Number(form1.ITEM_AMT_SUM.value.replace(/,/gi,"")*1);
			item_amt_sum = item_amt_sum.toFixed(Number(form1.sosuNum.value));  //2018.10.31 내역과 계약갑지 소수점 처리
			//var chg_ord_spply_amt = form1.ord_supply_amt.value.replaceAll(",","");
			//alert(form1.ITEM_AMT_SUM.value + "/" + chg_ord_spply_amt);
			if(item_amt_sum != chg_ord_spply_amt){
				alert("상품 내역의 총 합과 계약 금액과 다릅니다.\n\n내역 팝업을 띄워서 총 합을 확인해 주시기 바랍니다.");
				form1.ord_supply_amt.focus;
				return;
			}
	//	}		
		return true;
	}
	
	//자동로그인 기능
	function f_gologin(login_id,login_pw){
		var f = document.form1;
		if('<%= user.get("ACCT_TYPE_CODE")%>' != "ADMIN"){
			dlgAlert("User who logged in as administrator only can do automatic log-in.");
			return;
		}
	
		f.login_id.value = login_id;
		f.login_pw.value = login_pw;
	
		if( !submitXmlRequest("/sign_on_check", "", document.form1) ) {
			alert("Log-in is being processed.");
		};
	
	}

	function goListProc(){
		 var f = document.form1;
		f.fevent.value ="";
	    f.action = "/cont/purchase/ContIngList.screen";
	    f.target = "_self";
	    f.submit();
	}

	function doResult(resultObj) {
		try {
			if( resultObj.getRequestEvent() == "PARTNER_EMP_CHK") {
				if( resultObj.getSuccess() ) {
					var vo = resultObj.getValueObject();
					var cnt = vo.get("EMP_CHK_CNT");
					if(cnt > 0){
						var f = document.form1;
						jQuery("#fevent").val("FORM_SAVE");
						submitXmlRequest("/cont/purchase/ContDetail_form.screen", "FORM_SAVE", f);
					}else{
						if(confirm("등록된 업체담당자 정보와 일치하지 않습니다. 계속진행하시겠습니까?")){
							var f = document.form1;
							jQuery("#fevent").val("FORM_SAVE");
							submitXmlRequest("/cont/purchase/ContDetail_form.screen", "FORM_SAVE", f);
						}else{
							return;
						}
					}
				}else {
					dlgErrorMsg(resultObj);
				}
				document.form1.isSubmit = false;
			}
			if( resultObj.getRequestEvent() == "FORM_SAVE") {
				if( resultObj.getSuccess() ) {
 				
					jQuery("#save_gb").val("Y");
 					doSaveStamp();
 					doSavePromise();
                //2016.4.27 변경계약일때 제외 
 				<%if(ContInfo.get("PAY_DIV").equals("2") && ContInfo.get("MOD_NO").equals("0")){%>	//PAY_DIV 가 2인 설치일때만 대금계획을 저장한다.
					payPlanSave();	//대금 계획 저장
				<%}else{%>
					alert("저장 되었습니다.");
					window.location.reload();
 				<%}%>			
				}
				else {
					dlgErrorMsg(resultObj);
				}
			}

			if( resultObj.getRequestEvent() == "STAMP_DUTY_GB_SAVE") {
				if( resultObj.getSuccess() ) {
					doSaveStamp();
				} else {
					dlgErrorMsg(resultObj);
				}
			}
	
			if( resultObj.getRequestEvent() == "SIGN_CALL") {
				if( resultObj.getSuccess() ) {
					alert("서명 요청이 정상적으로 처리 되었습니다.")
					window.location.reload();
				} else {
					dlgErrorMsg(resultObj);
				}
			}
			
			if( resultObj.getRequestEvent() == "SIGN_OK") {
				if( resultObj.getSuccess() ) {
					//2016.9.6 변경계약 메세지 추가
					<%if ( ContInfo.getInt("MOD_NO") > 0 ){%>
						alert("서명 정상적으로 처리 되었습니다.\n계약결과로 이동하여 대금계획을 수정해 주십시요.")
						//2018.2.6
						$("#fevent").val("FORM_SELECT");
						$("#form1").attr("action", "/cont/purchase/ContResult.screen");
						$("#form1").attr("target", "_self");
						$("#form1").attr("method", "get");
						$("#form1").submit();
					<%}
					else{%>
						alert("서명 정상적으로 처리 되었습니다.")
						window.location.href="/cont/purchase/ContResultList.screen";
					<%}%>
				} else {
					dlgErrorMsg(resultObj);
				}
			}
			if( resultObj.getRequestEvent() == "END_CONT") {
				if( resultObj.getSuccess() ) {
					//2016.9.6 변경계약 메세지 추가
					<%if ( ContInfo.getInt("MOD_NO") > 0 ){%>
						alert("정상적으로 처리 되었습니다.\n계약결과로 이동하여 대금계획을 수정해 주십시요.");
						//2016.12.28
						$("#fevent").val("FORM_SELECT");
						$("#form1").attr("action", "/cont/purchase/ContResult.screen");
						$("#form1").attr("target", "_self");
						$("#form1").attr("method", "get");
						$("#form1").submit();
					<%}
					else {%>
						alert("정상적으로 처리 되었습니다.");
						window.location.href="/cont/purchase/ContResultList.screen";
					<%}%>
					
				} else {
					dlgErrorMsg(resultObj);
				}
			}
			if( resultObj.getRequestEvent() == "SAVE_PAYITEM") {
				if( resultObj.getSuccess() ) {
					alert("정상적으로 처리 되었습니다.");
					window.location.reload();
				} else {
					dlgErrorMsg(resultObj);
				}
			}
			//계약서 삭제
			if( resultObj.getRequestEvent() == "FORM_DEL") {
				if( resultObj.getSuccess() ) {
					alert("정상적으로 삭제 처리 되었습니다.")
					goListProc();
				} else {
					dlgErrorMsg(resultObj);
				}
			}			
			//결재전 저장
			if( resultObj.getRequestEvent() == "FORM_DECI_SAVE") {
				if( resultObj.getSuccess() ) {
					document.form1.isSubmit = false;
	 				jQuery("#save_gb").val("Y");
	 				doSaveStamp();
	 				doSavePromise();
					doDeci();
				} else {
					dlgErrorMsg(resultObj);
				}
			}			
			//시행결의 결재전 저장
			if( resultObj.getRequestEvent() == "FORM_RESOLVE_SAVE") {
				if( resultObj.getSuccess() ) {
					document.form1.isSubmit = false;
	 				jQuery("#save_gb").val("Y");
	 				doSaveStamp();
	 				doSavePromise();
					doResolve();
				} else {
					dlgErrorMsg(resultObj);
				}
			}		
			if( resultObj.getRequestEvent() == "FORM_MOVE") {
				if( resultObj.getSuccess() ) {
					alert("정상적으로 처리 되었습니다.")
					window.location.href="/cont/purchase/ContIngList.screen";
				} else {
					dlgErrorMsg(resultObj);
				}
			}

			document.form1.isSubmit = false;
		}
		catch(errorObject) {
			showErrorDlg("doResult()", errorObject);
		}
	}
	

	/*담당자 호출*/	
	var pCallPop = "";
	function SearchUser(pGuBun,NAME,CODE){
		pCallPop = pGuBun;
		var win_id = "_searchUserPopup";
		var link = "/lib/dlgSearchUserPop.screen";
		    link += "?pop_win_id="+win_id;
		    if(pCallPop != "Sheet"&&pCallPop != "Sheet2"){
		    link += "&deptNameYn=purchase";
		    }
		    link += "&NAME=" + NAME;
		    link += "&CODE=" + CODE;
		fLayerPop(win_id, link, 700,400, '', '', 'NO');
	}
	/*담당자 호출 Return Value 처리*/	
	function SearchUserClose(result){
		if(result.length > 0){
			if(pCallPop == "Sheet"){
				sheet1.SetCellValue(clickRow, "VP_CHK_EMPNO", result[9]);   //밴더프린트 담당자 아이디
				sheet1.SetCellValue(clickRow, "VP_CHK_EMPNM", result[1]);   //밴더프린트 담당자명				
			}else if(pCallPop == "Sheet2"){
				sheet1.SetCellValue(clickRow, "PLAN_APPR_CHK_EMPNO", result[9]);   //설계평가 담당자 아이디
				sheet1.SetCellValue(clickRow, "PLAN_APPR_CHK_EMPNM", result[1]);   //설계평가 담당자명							
			}else{
				$("#O_USER_NAME").val(result[1]);
				$("#O_DIVISION").val(result[3]);
				$("#O_POSITION").val(result[5]);
				$("#O_TEL_NUM").val(result[6]);
				$("#O_HP").val(result[7]);
				$("#O_EMAIL").val(result[8]);
				$("#O_ACCT_ID").val(result[9]);
				replaceInput(result[3],"req_dept_nm"	,__html);				
			}
						
		}
		fLayerPopClose('_searchUserPopup');
	}	

	/*계약서 pdf script start*/
	function chkContHtml(){
		var f = document.form1;
		var c = $("#PDF_FILE_CNT").val();

		if(validate(f)){
			splitHtml(f, 'cont_html', false, c);
			splitHtml(f, 'cont_html_rm', true, c);
			return true;
		}
		return false;
	}
	/*계약서 pdf script end*/	

	//첨부파일   
	function doAttachFileDiv(obj) {
		 if(obj==''){
			alert("저장을 한 후 파일을 첨부할 수 있습니다.");
		}
		else if(obj != ''){ 
			var edtYN ="N";
			if((document.getElementById("STATUS_CD").value=="10") || (document.getElementById("STATUS_CD").value=="40") || (document.getElementById("STATUS_CD").value=="41")){edtYN="Y";}
			viewFileListNew('PUR_CONT_MOD_ID', obj.value, document.getElementById("attach_file_view"), edtYN, "cont/purchase/<%=ContInfo.get("PUR_CONT_MOD_ID")%>");
		} 
	}
	/**
	 * 첨부파일 예약 함수
	 */
	function fileDown(file_id){
			var url="/common/file/FileDownloadServlet";
	 		url += "?file_id=" + file_id;
	 		
	 		window.open(url, "_fileDown", "toolbar=no, width=400, height=100, top=500, left=400, toolbar=no,directories=no,status=no,scrollbars=yes,resize=no,menubar=no,target=new")
	}	
	
	function doAttachFilePop(obj, No, fObj, fileGB, fileDir) {
		var editFile = "";
		 if(obj==''){
			alert("After you have saved, you can attach a file.");
		}
		else if(obj != ''){ 
			if(fObj.guarStatus.value != "02"){editFile="N";}else{editFile="Y";}
			viewFileListNew(fileGB, obj.value, fObj.p_AttachFileGuar1, editFile, fileDir, "contPurWarrPopup");
		} 
	} 

	//결재
	function dlgSignForm( sign_class_cd, uri ) {
		var f = document.form1;
		var sheet1 = document.all.sheet1;
		var url = "/contPurchaseSign/contSign_form.screen";
		url += "?sign_class_cd=" + sign_class_cd;
		url += "&uri="           + uri;
		url += "&sign_cont_mod_id="   + $("#PUR_CONT_MOD_ID").val();
		url += "&acct_type=1";
		window.open(url, "_blank","width=200,height=100,SCROLLBARS=no");
	}
	
	//계약서결재
	function dlgSignDeciForm( sign_class_cd, uri ) {
		var f = document.form1;
		var sheet1 = document.all.sheet1;
		var url = "/contPurchaseSign/contDeciSign_form.screen";
		url += "?sign_class_cd=" + sign_class_cd;
		url += "&uri="           + uri;
		url += "&sign_cont_mod_id="   + $("#PUR_CONT_MOD_ID").val();
		url += "&acct_type=1";
		window.open(url, "_blank","width=200,height=100,SCROLLBARS=no");
		window.location.reload();
	}
	
	//보증정보팝업 호출
	function popContWarr(wG, wSeq, wCauseCd) {
		
		var win_id = "contPurWarrPopup";			
		var param = "";
		var param = "?purContModId=" + jQuery("#PUR_CONT_MOD_ID").val();
		var param = param + "&warrGubun=" + wG;
		var param = param + "&warrSeq=" + wSeq;
		var param = param + "&causeCode=" + wCauseCd;
		var param = param + "&wonWarr=" + jQuery("#WON_WARR").val();
		var param = param + "&viewDiv=CONT";
		var param = param + "&pop_win_id=" + win_id;
		var param = param + "&sModule=EB";
		
		var url = "/portal/guar/contPurWarrPopup.screen"+param;
		
		fLayerPop(win_id, url, 560,350, '','', 'YES');
	}	
	//보증정보팝업 종료후 액션
	function popContWarrClose(returnValue){
		if(returnValue == null)
			fLayerPopClose('contPurWarrPopup');
		
		if(returnValue[0] == 0){
			fLayerPopClose('contPurWarrPopup');
			location.reload();
		}
	}
	
	function PDFmake(){
		/*if (confirm("pdf 생성 하시겠습니까?")){
			var f = document.form1;
			jQuery("#fevent").val("FORM_PDF_SAVE");
			submitXmlRequest("/cont/purchase/ContDetail_form.screen", "FORM_PDF_SAVE", f);
		}*/
	}
	function erpCheckYn(){
	    alert("계약완료 후 변경 불가능합니다.");
	}
	
	//2017.07.14 구매 영세율일때 부가세별도 문구 삭제 
	function VatTextChange()
	{
		var f = document.form1;
		
		  if ("<%= params.get("TEMPLATE_CD")%>" == "3"   ){ //template_cd 기자재공급계약서 
			  if (f.input_vat.value == "INPUT_VAT" ) {  //부가세   
				    var amt1 = Number(form1.ord_supply_amt.value.replaceAll(",",""));
			        var amt_tax = Math.floor(amt1/10);
			        var ord_amt = Number(amt1) + Number(amt_tax);
					replaceInput("-부가세별도","vat_gb"	,__html);					 
					replaceInput(ord_amt + "","ord_amt"	,__html);
			  	    replaceInput(amt_tax + "","ord_surtax_amt"	,__html);
				}else{
					replaceInput(" ","vat_gb"	,__html);
			  	    replaceInput(form1.ord_supply_amt.value.replaceAll(",",""),"ord_amt"	,__html);
			  	    replaceInput("0","ord_surtax_amt"	,__html);
			    }
		  }	else if ( "<%= params.get("TEMPLATE_CD")%>" == "6" ){ //template_cd 변경계약합의서 2018.03.22 수정 
			  if (f.input_vat.value == "INPUT_VAT" ) {  //부가세   
				    var amt1 = Number(form1.ord_supply_amt.value.replaceAll(",",""));
			        var amt_tax = Math.floor(amt1/10);
			        var ord_amt = Number(amt1) + Number(amt_tax);
					replaceInput(ord_amt + "","ord_amt"	,__html);
			  	    replaceInput(amt_tax + "","ord_surtax_amt"	,__html);
			  }else{
				    var ord_amt = Number(form1.ord_supply_amt.value.replaceAll(",",""))  ;
					replaceInput(ord_amt + "" ,"ord_amt"	,__html);
					replaceInput("0","ord_surtax_amt"	,__html);
			  }
		  }		
	}
	</SCRIPT>


<modular:search id="form1">
	<modular:key id="fevent" />
</modular:search>
<form id="form1" name="form1" method="post" modular:type="search">
<INPUT type="hidden" name="fevent" id="fevent" value="<%= params.get("fevent") %>">
<INPUT type="hidden" name="save_gb" id="save_gb" value="">
<INPUT type="hidden" name="acct_id" value="<%= params.get("acct_id") %>">
<!-- 검색 조건 시작-->
<INPUT type="hidden" name="p_dept_cd" value="<%= params.get("p_dept_cd") %>">
<INPUT type="hidden" name="p_dept_nm" value="<%= params.get("p_dept_nm") %>">
<INPUT type="hidden" name="p_dealer_nm" value="<%= params.get("p_dealer_nm") %>">
<INPUT type="hidden" name="p_cont_status" value="<%= params.get("p_cont_status") %>">
<INPUT type="hidden" name="ContFromDt" value="<%= params.get("ContFromDt") %>">
<INPUT type="hidden" name="ContToDt" value="<%= params.get("ContToDt") %>">
<INPUT type="hidden" name="p_build_nm" value="<%= params.get("p_build_nm") %>">
<!-- 검색 조건 끝-->
<INPUT type="hidden" name="CONT_STATUS" value="<%=ContInfo.get("CONT_STATUS")%>">
<INPUT type="hidden" name="PUR_CONT_MOD_ID" value="<%=ContInfo.get("PUR_CONT_MOD_ID")%>">
<INPUT type="hidden" name="PUR_CONT_ID" value="<%=ContInfo.get("PUR_CONT_ID")%>">
<INPUT type="hidden" name="DEMANDED_ID" value="<%=ContInfo.get("DEMANDED_ID")%>">
<INPUT type="hidden" name="O_CORP_ID" value="<%=ContInfo.get("O_CORP_ID")%>">
<INPUT type="hidden" name="C_CORP_ID" value="<%=ContInfo.get("C_CORP_ID")%>">
<INPUT type="hidden" name="STATUS_CD" value="<%=ContInfo.get("STATUS_CD")%>">
<INPUT type="hidden" name="O_VENDCD" value="<%=ContInfo.get("O_VENDCD")%>">
<INPUT type="hidden" name="C_VENDCD" value="<%=ContInfo.get("C_VENDCD")%>">
<INPUT type="hidden" name="O_ACCT_ID" id="O_ACCT_ID" value="<%=ContInfo.get("CON_CHARGE_ID")%>">

<INPUT type='hidden' name="CURR_STD_NM" value="<%= ContInfo.get("CURR_STD_NM") %>">

<!-- 계약서PDF정보  START-->
<INPUT type="hidden" name="TEMPLATE_CD" value="<%=params.get("TEMPLATE_CD") %>">
<INPUT type="hidden" name="ORD_DOC_NO" value="<%=ContInfo.get("ORD_DOC_NO") %>">
<INPUT type="hidden" name="MOD_NO" value="<%=ContInfo.get("MOD_NO") %>">
<INPUT type="hidden" name="PDF_FILE_CNT" value="<%=template.size()%>">
<INPUT type="hidden" name="TRUE_RANDOM" value="<%=ContInfo.get("TRUE_RANDOM") %>">
<!-- 계약서PDF정보  END-->

<INPUT type="hidden" name="T_CON_GUAR_AMT_RATE" value="<%=ContInfo.get("CON_GUAR_AMT_RATE") %>">
<INPUT type="hidden" name="T_CON_GUAR_TERMS" value="납품기한에 30일을 더한 날까지">
<INPUT type="hidden" name="T_CON_GUAR_AMT" value="<%=ContInfo.get("CON_GUAR_AMT") %>">

<INPUT type="hidden" name="T_DEF_GUAR_AMT_RATE" value="<%=ContInfo.get("DEF_GUAR_AMT_RATE") %>">
<INPUT type="hidden" name="T_DEF_GUAR_AMT" value="<%=ContInfo.get("DEF_GUAR_AMT") %>">

<!--서명 데이터 정보  START-->
<INPUT type='hidden' name="CONT_HASH" value="<%=ContInfo.get("CONT_HASH") %>">
<INPUT type='hidden' name="CONT_SIGNDATA" value="">
<INPUT type='hidden' name="CONT_SIGNDN" value="">
<INPUT type='hidden' name="signeddata" value="">

<!-- 변경 내역때문에 아이템 총 합계금액  및 발주 의뢰 번호 -->
<INPUT type="hidden" name="ITEM_AMT_SUM" id="ITEM_AMT_SUM" value="<%=ContInfo.get("ITEM_AMT_SUM") %>">
<INPUT type="hidden" name="pDemID" value="<%=ContInfo.get("DEM_ID") %>">
<INPUT type="hidden" name="DIV_PO_YN" value="<%=ContInfo.get("DIV_PO_YN") %>">

<INPUT type="hidden" name="O_REG_NO" value="<%=ContInfo.get("O_REG_NO") %>">

<INPUT type="hidden" name="WON_WARR" value="<%=params.get("WON_WARR") %>">

<INPUT type="hidden" name="ChgCont" value="<%=params.get("ChgCont") %>">

<INPUT type="hidden" name="input_vat" value="<%=ContInfo.get("INPUT_VAT") %>">
 
					
<!-- 제목 및 버튼 -->
<table width="100%">
	<colgroup>
		<col width="500" />
		<col width="*" />
	</colgroup>
	<tr>
	   	<th>
		   <div align="left" id="title">
		    <ul>
		     <li>구매_계약 현황 상세 <font style="font-size:11px">(<%=ContInfo.get("STATUS_NM")%>)</font></li>
		    </ul>
		   </div>
	   </th>
	   <td align="right">
			<%
			if(ContInfo.get("STATUS_CD").equals("10")){
			%>
			<span class="btnSearch center" id="btnMove"><a href="javascript:void(0);">계약대상이동</a></span>
			<%
				if(ContInfo.get("MOD_NO").equals("0")){
			%>
			<span class="btnSearch center" id="btnSave"><a href="javascript:void(0);">저장</a></span>
			<span class="btnSearch center" id="btnDeciSave"><a href="javascript:void(0);">결재</a></span>
			<%
			//당초에서 결재 모듈을  무조건 태우기 때문에 작성중에는 서명요청과 계약완료가 필요 없다. 
					//승인자만 보이게 처리
			//		if(storage.getUser().get("acct_id").equals(ContInfo.get("CON_CONFIRM_ID"))){
			%>
			<!-- span class="btnSearch center" id="btnSignCall"><a href="javascript:void(0);">업체 서명요청</a></span -->
			<%
			//			if (ContInfo.get("ELEC_CON_YN").equals("N")) { 	//오프라인 전자 계약에 대해서만 처리
			%>			
			<!-- span class="btnSearch center" id="btnComplete"><a href="javascript:void(0);">계약완료</a></span -->
			<%
			//			}
			//		}
				}else{	//변경계약일경우 상태값에 따라 버튼 변화  
			%>
					<span class="btnSearch center" id="btnSave"><a href="javascript:void(0);">저장</a></span>
					<span class="btnSearch center" id="btnResolve"><a href="javascript:void(0);">결재요청</a></span>
					<span class="btnSearch center" id="btnDel"><a href="javascript:void(0);">변경계약서삭제</a></span>
			<%
					if(!ContInfo.get("DEM_ID").isEmpty()){
			%>			
					<span class="btnSearch center" id="btnChgItem"><a href="javascript:void(0);">변경계약상품내역</a></span>
			<%
					}					
				}
			}else if(ContInfo.get("STATUS_CD").equals("18")){
				//승인자가 필요 없다 해서 주석 처리 합니다. 김명호
				//승인자만 보이게 처리
				//if(storage.getUser().get("acct_id").equals(ContInfo.get("CON_CONFIRM_ID"))){
					if (ContInfo.get("ELEC_CON_YN").equals("N")) { 	//오프라인 전자 계약에 대해서만 처리
			%>			
			<span class="btnSearch center" id="btnComplete"><a href="javascript:void(0);">계약완료</a></span>
			<%
					}else{
			%>
			<span class="btnSearch center" id="btnSignCall"><a href="javascript:void(0);">업체 서명요청</a></span>
			<%
					}
			//	}
			}else if(ContInfo.get("STATUS_CD").equals("30")){
			%>
			<span class="btnSearch center" id="btnSignOk"><a href="javascript:void(0);">서명</a></span>
			<span class="btnSearch center" id="btnReSignCall"><a href="javascript:void(0);">서명취소</a></span>
			<!--  span class="btnSearch center" id="btnReject"><a href="javascript:void(0);">반려</a></span -->
			<%
			}else if(ContInfo.get("STATUS_CD").equals("41")|| (ContInfo.get("STATUS_CD").equals("40"))  ){ 
			%>
			<span class="btnSearch center" id="btnSave"><a href="javascript:void(0);">저장</a></span>
			<%
			}
			%>
			<span class="btnSearch center" id="btnItem"><a href="javascript:void(0);">계약상품내역</a></span>
			<span class="btnSearch center" id="btnList"><a href="javascript:goListProc();">목록</a></span>
	   </td>
   	</tr>
</table>
<%
	/*
		계약 정보를 한페이지로 만들어서 include 시킴 (2014-08-14) 김명호
	*/	
	String isViewWrite;
	String finalYn = "";
if ((ContInfo.get("STATUS_CD").equals("10")) || (ContInfo.get("STATUS_CD").equals("40")) || (ContInfo.get("STATUS_CD").equals("41"))){
		isViewWrite = "W";
	}else{
		isViewWrite = "V";		
	}
%>
<%@ include file="/jsp/ko_KR/buyer/cont/purchase/ContInfo.jsp" %> 

<%if ((!ContInfo.get("MODI_REQ_REASON").equals("")) && (ContInfo.get("STATUS_CD").equals("40"))){	//수정 요청 내용이 있을경우 %>
<div class="application-info magT15">
	<div class="application-sub-title">
		<span class="title">수정요청 사유</span>
	</div>
</div>
<TABLE class="form-table">
	<colgroup>
		<col width="120" />
		<col width="*" />
	</colgroup>
  <TR height="25">
  	<TH>사유</TH>
	<TD><%=ContInfo.get("MODI_REQ_REASON") %></TD>
  </TR>
  <TR height="25">
  	<TH>요청일</TH>
	<TD><%=ContInfo.get("MODI_REQ_DT") %></TD>
  </TR>
 </TABLE>
 <% } %>

<div class="application-info  magT10">
	<div class="application-sub-title">
		<span class="title">계약정보</span>
	</div>
	<div style="text-align:center;">
    <%if ((params.get("ChgCont").equals("Y")) && ContInfo.get("STATUS_CD").equals("10")) {		//변경 계약서 일경우 추가 내역%>
    	변경구분
		<select name="mod_gb" onchange="chgModGb(this.value)">
			<option value="">-선택-</option>
			<option value="01" <%=ContInfo.get("MOD_GB").equals("01") ? "selected=selected":""%>>증액</option>
			<option value="02" <%=ContInfo.get("MOD_GB").equals("02") ? "selected=selected":""%>>감액</option>
			<option value="10" <%=ContInfo.get("MOD_GB").equals("10") ? "selected=selected":""%>>연장</option>
			<option value="11" <%=ContInfo.get("MOD_GB").equals("11") ? "selected=selected":""%>>연장증액</option>
			<option value="12" <%=ContInfo.get("MOD_GB").equals("12") ? "selected=selected":""%>>연장감액</option>
			<option value="20" <%=ContInfo.get("MOD_GB").equals("20") ? "selected=selected":""%>>단축</option>
			<option value="21" <%=ContInfo.get("MOD_GB").equals("21") ? "selected=selected":""%>>단축증액</option>
			<option value="22" <%=ContInfo.get("MOD_GB").equals("22") ? "selected=selected":""%>>단축감액</option>
			<option value="98" <%=ContInfo.get("MOD_GB").equals("98") ? "selected=selected":""%>>계약이관</option>
			<option value="99" <%=ContInfo.get("MOD_GB").equals("99") ? "selected=selected":""%>>기타</option>
		</select>
    <% } else { //당초 일경우 기본 값%>
    	<input type="hidden" name="mod_gb" id ="mod_gb" value="<%=ContInfo.get("MOD_GB")%>" />
    <% }%>
    <font color="ffffff">......</font>
    	※<span style="background-color:yellow;text-align:center">노랑색</span>은 필수입력사항, <span style="text-align:center;background-color:#CCFF99;">연두색</span>은 계약서에 인쇄되지 않는 항목입니다.
	</div>
</div>

<table width="100%" border="0" cellspacing="0" cellpadding="0" style="border:1px solid black;padding-top:5px">
	<tr>
		<td align="center" bgcolor="#efefef">
			<table width="770px" border="0" cellspacing="0" cellpadding="0">
				<tr>
				  <td align="center">
				  		<%
				  			for(int i = 0 ; i < template.size(); i ++){
				  		%>
				  		<input type="hidden" name="template_seq" value="<%=template.getRow(i).get("SEQ")%>">
				  		<input type="hidden" name="template_name" value="<%=template.getRow(i).get("TEMPLATE_NAME")%>">
				  		<input type="hidden" name="template_style" value="<%=template.getRow(i).get("TEMPLATE_STYLE")%>">
				  		<input type="hidden" name="option_yn" value="<%=template.getRow(i).get("OPTION_YN")%>">
				  		<%	if(i==0){ %>
						<span class="tab_on" id="tab_<%=template.getRow(i).get("SEQ")%>" onClick="tabView(<%=template.getRow(i).get("SEQ")%>)">
							<input type="hidden" name="check_yn_<%=template.getRow(i).get("SEQ")%>" value="A">
							<%=template.getRow(i).get("TEMPLATE_NAME")%>
						</span>&nbsp;
						<%	}else{ %>
							<%if(template.getRow(i).get("OPTION_YN").equals("A")){%>
							<span class="tab_off" id="tab_<%=template.getRow(i).get("SEQ")%>" onClick="tabView(<%=template.getRow(i).get("SEQ")%>)">
								<%=template.getRow(i).get("TEMPLATE_NAME")%>
								<input type="hidden" name="check_yn_<%=template.getRow(i).get("SEQ")%>" value="A">
							</span>
							<%}else if((template.getRow(i).get("OPTION_YN").equals("Y"))){ %>
							<span class="tab_off" id="tab_<%=template.getRow(i).get("SEQ")%>" onClick="tabView(<%=template.getRow(i).get("SEQ")%>)">
								<input type="checkbox" name="check_yn_<%=template.getRow(i).get("SEQ")%>" value="Y" <%if(template.getRow(i).get("CHECK_YN").equals("Y")){%>checked="checked"<%}%>>
								<%=template.getRow(i).get("TEMPLATE_NAME")%>
							</span>
							<%} %>
						<%	} %>
						<%} %>
				  </td>
				</tr>
			</table>
			<div id="__html" style="width:770px;border:1px solid black;padding:10px 10px 10px 10px;background-color:#FFFFFF;text-align:left;" >
				<%
			  			for(int i = 0 ; i < template.size(); i ++){
			  				String template_html = ClobUtils.getClob((Clob)template.getRow(i).getObject("TEMPLATE_HTML")); 
			  				String divHidden = template.getRow(i).get("SEQ").equals("0")?"":"none";
		  		%>
		  		<div style="display:<%=divHidden%>; padding-top: 10px;overflow:hidden;overflow-y:auto;<%=template.getRow(i).get("TEMPLATE_STYLE") %>" id="__html_<%=template.getRow(i).get("SEQ")%>">
				<%= template_html%>
				</div>
				<%} %>
			</div>
			<br />
		</td>
	</tr>
</table>			

<div class="application-info magT15">
	<div class="application-sub-title">
		<span class="title">계약서류</span>
	</div>
</div>
<TABLE class="form-table">
	<colgroup>
		<col width="120" />
		<col width="*" />
	</colgroup>
  <TR height="25">
  	<TH>자동생성</TH>
	<TD>
		<table width="100%">
    		<colgroup>
	    		<col width="100%" />
    		</colgroup>		
		<TR height="25">
			<TD>
				<div id="auto_attach_file_view" class="attach_file_view">
					<ul>
	<%
		for(int i=0;i<autofile_list.size();i++){
	%>
					<li><a href="/common/file/FileDownloadServlet?mode=fpDown&filePath=/cont/<%=autofile_list.getRow(i).get("FILE_PATH")%>&fileName=<%=URLEncoder.encode(autofile_list.getRow(i).get("FILE_NAME"), "UTF-8") +"."+ autofile_list.getRow(i).get("FILE_EXT")%>&fileRealName=<%=autofile_list.getRow(i).get("UNIQUE_FILE_NAME")%>"><%=i+1%> : <%=autofile_list.getRow(i).get("FILE_NAME")%> (<%=autofile_list.getRow(i).get("FILE_SIZE").trim() %>)</a></li>
	<%
		}	
	%>
					</ul>
				</div>
			</TD>
		</TR>
		</TABLE>
	</TD>	
  </TR>
  <TR height="25">
  	<TH>직접첨부</TH>
	<TD>
    	<table width="100%">
    		<colgroup>
	    		<col width="50%" />
				<col width="50%" />
    		</colgroup>
    		<tr>
    		<td>
			    <div id="attach_file_view" class="attach_file_view">
			    <!-- 첨부 파일 화면에 바로보일때 사용 -->
			    <%=FileManager.getFileListForDiv("PUR_CONT_MOD_ID", ContInfo.get("PUR_CONT_MOD_ID")) %>
			    </div>
    		</td>
    		<td>
    			<IMG id='search_spot_button' onClick="doAttachFileDiv(document.form1.PUR_CONT_MOD_ID,1);" src='/img/buyer/button/bt_change.gif' border='0'  align="top" align='absmiddle' alt='[Attach File]' style='cursor:pointer;'>
    		</td>
    		</tr>
    	</table>		
 	</TD>
  </TR>
 </TABLE>
<%
	/*
		보증 목록을  include 시킴 (2014-10-16) 김명호
	*/	
if((ContInfo.get("STATUS_CD").equals("20")) || (ContInfo.get("STATUS_CD").equals("30")) || (ContInfo.get("STATUS_CD").equals("50")) || (ContInfo.get("ELEC_CON_YN").equals("N"))){
	if(warrList.size() > 0){
%>
<%@ include file="/jsp/ko_KR/buyer/cont/purchase/guarList.jsp" %>
<%
	}
}
%>
</form>

<!-- 인도 조건 코드 겁색 팝업 -->
<script type="text/javascript">
<!--
/**
 * 상세 코드 검색
 */
function popSearchCodeDetail()
{
	var win_id = "_searchCodePopup";
	var link = "/sycs/code/dlgCodePopup.screen";
	    link += "?pop_win_id="+win_id;
	    link += "&p_basecd=PUR_LEAD_GB";
	fLayerPop(win_id, link, 600,400, '', '', 'NO');

}
function SearchCodeDetailClose(result){
	if(result != null){
		if(result[2]=="PUR_CON_GB"){
			replaceInput(result[0],"con_gb"		,__html);
			replaceInput(result[1],"spn_con_gb"	,__html);			
		}else{
			replaceInput(result[0],"lead_cond_gb"		,__html);
			replaceInput(result[1],"spn_lead_cond_gb"	,__html);
		}
		
//		replaceInput(result[0],"lead_cond_gb"		,__html);
//		replaceInput(result[1],"spn_lead_cond_gb"	,__html);
	}
	fLayerPopClose('_searchCodePopup');
}		 
//-->
</script>

<!-- =========사인 요청 상태이후 (20)에는 입력을 받지 못하게 처리 (김명호 : 2014-07-21)============== -->
<script>


//window.addEventListener("onload",convertHtml)
<%
if((ContInfo.get("STATUS_CD").equals("15")) || (ContInfo.get("STATUS_CD").equals("18")) || (ContInfo.get("STATUS_CD").equals("20")) || (ContInfo.get("STATUS_CD").equals("30")) || (ContInfo.get("STATUS_CD").equals("50"))){
%>
	window.onload = function() {  
		convertHtml();
	};	
<%
	}
%>
function convertHtml(){
	if(!document.getElementById("__html"))return;
	var elements = document.getElementById("__html").getElementsByTagName("input");
	for(var i = 0; i < elements.length; i++){
		var element = elements[i];
		setDisabled(element);
	}
	var elements = document.getElementById("__html").getElementsByTagName("textarea");
	for(var i = 0; i < elements.length; i++){
		var element = elements[i];
		element.className = "input_readonly";
		element.readOnly = true;
	}
	var elements = document.getElementById("__html").getElementsByTagName("img");
	for(var i = 0; i < elements.length; i++){
		var element = elements[i];
		element.style.display="none";
	}
	/*협력사에서 안보이는 부분숨기는 처리*/
	var elements = getElementsByClass("cl_no_view");
	for(var i = 0; i < elements.length; i++){
		var element = elements[i];
		element.style.display="none";
	}
}
</script>

<%//상품 목록 %>
<%if (params.get("ChgCont").equals("Y")) {		//변경 계약서 일경우 추가 내역%>
	<%@ include file="/jsp/ko_KR/buyer/cont/purchase/chgItemList.jsp" %>
<%}%>

<%@ include file="/jsp/ko_KR/buyer/cont/purchase/itemList.jsp" %>
